#include <stdio.h>

int main () {

  int persnr_arr[] = { 8, 1, 1, 2, 1, 8, 9, 8, 7, 6 };
  int res = 0, sum = 0;

  // Beräkna umman för de 9 första siffrorna
  // Vartannnat tal mult. med 2 och vartannat med 1
  for (int i = 0; i < 9; ++i) {
    if ((i % 2) == 0) {
      res = persnr_arr[i] * 2;
      // Om > 9 skall 10-sifran adderas till entalssiffran, (tvärsumma)
      if (res > 9) {
	sum = sum + 1 + (res% 10);
      } else {
	sum = sum + res;
      }
    } else {
      sum = sum + persnr_arr[i];
    }

    printf("Sum = %d\n", sum);
  }

  // Beräkna kontrollsiffran
  res = 10 - (sum % 10);

  if (res == persnr_arr[9]) {
    printf("Kontrollsifran OK\n");
  } else {
    printf("Kontrollsiffran inte OK\n");
  }
  
  return (0);
}
